Bug 1311185

Summary: python-alsaaudio: Provide a Python 3 subpackage
Product: [Fedora] Fedora Reporter: Tomas Orsava <torsava>
Component: python-alsaaudioAssignee: Nicolas Chauvet (kwizart) <kwizart>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 25CC: dkrejci, kwizart, pbrobinson
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: python-alsaaudio-0.8.2-1.fc26 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-01-07 06:57:02 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1285816    

Description Tomas Orsava 2016-02-23 14:56:47 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's fine to do this in Rawhide only.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Comment 1 Dominika Krejčí 2016-04-06 14:51:04 UTC
Ping?

No response as of yet from maintainer.

Comment 2 Nicolas Chauvet (kwizart) 2016-04-06 17:39:48 UTC
Well, this package could also be retired!
I don't think anything maintained use it anyway, so I'm about to retire it in a few days.

Comment 3 Tomas Orsava 2016-04-07 11:19:23 UTC
Is there some alternative for this package?

Comment 4 Jan Kurik 2016-07-26 04:32:11 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 5 Peter Robinson 2017-01-07 06:57:02 UTC
(In reply to Nicolas Chauvet (kwizart) from comment #2)
> Well, this package could also be retired!
> I don't think anything maintained use it anyway, so I'm about to retire it
> in a few days.

FYI I need it, if you want me to take over maintenance let me know.

Comment 6 Nicolas Chauvet (kwizart) 2017-01-07 10:43:14 UTC
(In reply to Peter Robinson from comment #5)
> (In reply to Nicolas Chauvet (kwizart) from comment #2)
> > Well, this package could also be retired!
> > I don't think anything maintained use it anyway, so I'm about to retire it
> > in a few days.
> 
> FYI I need it, if you want me to take over maintenance let me know.

Sure, please request the acl in pkgdb, I will hand-over to you.
Thx for the update.